import { reactive, ref } from 'vue'

export const formRef = ref()
export const fileList = ref([])

// 校验规则
export const rules = reactive({
    eventTime: [
        {
            required: true,
            message: '请选择日期',
            trigger: ['blur', 'change']
        }
    ]
})
// 表单数据
export const formData = reactive({
    id: '',
    ac: '',
    acOwn: '',
    acType: '',
    appealInfo: '-1',
    appraisee: '-1',
    department: '-1',
    dmUid: '-1',
    eventMsg: '',
    eventSource: '',
    eventTime: -1,
    eventType: -1,
    examineBasis: '',
    examineType: '-1',
    onDutyUser: '',
    opinionMsg: '',
    opinionType: -1,
    score: null,
    qmUid: '',
    qualityOpinionMsg: '',
    qualityOpinionType: -1,
    status: '',
    emailSendTime: -1,
    file: []
})
